Retrieve Task Group Run
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"created_at": "2025-04-23T20:21:48.037943Z",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"is_active": true,
"metadata": {
"my_key": "my_value"
},
"modified_at": "2025-04-23T20:21:48.037943Z",
"processor": "core",
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "running"
}Parallel
Retrieve Task Group Run
Retrieves run status by run_id.
This endpoint is equivalent to fetching run status directly using the
retrieve() method or the tasks/runs GET endpoint.
The run result is available from the /result endpoint.
Retrieves run status by run_id.This endpiont is equivalent to fetching run status directly using theretrieve() method or the tasks/runs GET endpoint.The run result is available from the /result endpoint.
GET
https://api.aisa.one
/
apis
/
v1
/
parallel
/
tasks
/
groups
/
{taskgroup_id}
/
runs
/
{run_id}
Retrieve Task Group Run
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"created_at": "2025-04-23T20:21:48.037943Z",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"is_active": true,
"metadata": {
"my_key": "my_value"
},
"modified_at": "2025-04-23T20:21:48.037943Z",
"processor": "core",
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "running"
}Request contract
- Method and path: GET /apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id} - run_id: path; required
- taskgroup_id: path; required
{
"operationId": "any_parallel_ai_apis_v1_parallel_tasks_groups_tas_f86107",
"method": "GET",
"path": "/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"in": "path",
"name": "run_id",
"required": true,
"schema": {
"title": "Run Id",
"type": "string"
}
},
{
"in": "path",
"name": "taskgroup_id",
"required": true,
"schema": {
"title": "Taskgroup Id",
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.012 USD per successful request. Your account price may differ; use a request quote where supported.Authorizations
Response
Successful Response
Status of a task run.